[3.2] unterschiedliche PHP-Versionen ACP + MyDumper

Der Offtopic-Treff auf phpBB.de - Hier ist (unter Beachtung des phpBB.de-Knigges) fast alles erlaubt :-)
MaDay
Mitglied
Beiträge: 52
Registriert: 19.04.2016 19:54

[3.2] unterschiedliche PHP-Versionen ACP + MyDumper

Beitragvon MaDay » 12.01.2019 12:31

Hallo in die Runde,
mir werden verschiedene PHP-Versionen angezeigt:

Im ACP:
Datenbank-Server: MySQL(i) 5.6.38-nmm1-log
PHP-Version: 7.0.32-nmm1

In MyDumper letzte Version:
MySQL-Version: 5.6.38-nmm1-log
PHP-Version: 5.6.38-nmm2 ???????

Beim Hoster (all-inkl.com) ist die ganze Domain auf PHP 7.0 eingestellt. Der Support kann mir da nicht weiterhelfen.

Ich habe versucht das Problem (wenn es denn eines ist) mittels Addhandler -Befehl

Code: Alles auswählen

AddHandler php70-cgi php

in der .htaccess-Datei im Verzeichnis des Forums zu ändern. Trotzdem steht in MyDumper immer noch die kleinere PHP-Version.

Unter dieser Domain habe ich 1 Blog und dieses Forum sowie ein 2. Forum in einen anderen Verzeichnis. Dort gibt es keinerlei Schwierigkeiten.

Link zum Testforum http://broschatt.de/burschi/app.php/portal

Weiß jemand was die Ursache sein könnte und wie ich das beheben kann?

Verschoben von Support-Forum nach Smalltalk am 12.01.2019 13:03 durch canonknipser

Benutzeravatar
canonknipser
Supporter
Supporter
Beiträge: 1966
Registriert: 10.09.2011 11:14
Kontaktdaten:

Re: [3.2] unterschiedliche PHP-Versionen ACP + MyDumper

Beitragvon canonknipser » 12.01.2019 13:05

Ich habe es mal verschoben, weil es keine phpBB-spezifische Frage ist, sondern eine Server-Frage.

Hast du auch mal bei deinen Subdomains geschaut? Da kannst du ja auch unterschiedliche php-Versionen einstellen.
Grüße, canonknipser
"there are only 10 types of people: those, who understand binary and those, who don't"
just arrived ;) - Bilder
Kein Support via PN, nur im Board und (manchmal) im IRC

MaDay
Mitglied
Beiträge: 52
Registriert: 19.04.2016 19:54

Re: [3.2] unterschiedliche PHP-Versionen ACP + MyDumper

Beitragvon MaDay » 15.01.2019 13:18

Danke fürs verschieben.
Wenn das ein Server-Problem ist wundere ich mich das der Support nicht wußte was für ein Problem ich habe. :-(
Das andere Forum und Blog haben keine unterschiedliche PHP Versionen oder Probleme.

Es ist nur dieses oben genannte Testforum.

Benutzeravatar
chris1278
Mitglied
Beiträge: 1428
Registriert: 12.11.2007 06:20
Wohnort: Euskirchen
Kontaktdaten:

Re: [3.2] unterschiedliche PHP-Versionen ACP + MyDumper

Beitragvon chris1278 » 15.01.2019 13:55

Evtl. mach mal folgenes.

Erstelle eine php datei z.b. test.php mit folgendem inhalt:

Code: Alles auswählen

<?php

phpinfo();

?>


Dann lade die datei auf den Server deines Forums und öffne diese. Dann siehst du zumindest schon mal welche php version da genau ist.

Benutzeravatar
canonknipser
Supporter
Supporter
Beiträge: 1966
Registriert: 10.09.2011 11:14
Kontaktdaten:

Re: [3.2] unterschiedliche PHP-Versionen ACP + MyDumper

Beitragvon canonknipser » 15.01.2019 17:22

In welcher Domain resp. welchem Unterverzeichnis läuft denn dein MySQLDumper?
Wenn das eine andere Subdomain oder ein anderer Ordner ist, dann hilft
AddHandler php70-cgi php
im Forum-Unterverzeichnis nicht, das muss in das MySQLDumper-Verzeichnis ;)
Grüße, canonknipser
"there are only 10 types of people: those, who understand binary and those, who don't"
just arrived ;) - Bilder
Kein Support via PN, nur im Board und (manchmal) im IRC

MaDay
Mitglied
Beiträge: 52
Registriert: 19.04.2016 19:54

Re: [3.2] unterschiedliche PHP-Versionen ACP + MyDumper

Beitragvon MaDay » 15.01.2019 19:29

Im Kas ist für die gesamte Domain PHP 7 eingetragen
[ externes Bild ]

Aber in der test.php
[ externes Bild ]

Pfad MyDumper root/Mydumper

Pfad Testforum root/burschi/

Ich hatte die Version höher eingestellt, nachdem ich per Mail von All-inkl. über das Ende von PHP 5.5 informiert wurde.
Sehe wie ich das nun verstehe muss ich All-Inkl. doch noch einmal anstoßen, denn KAS und die phpinfo stimmen nicht überein.

Oha AddHandler gehört dann grundsätzlich oder zusätzlich in das MyDumper-Verzeichnis ?

Benutzeravatar
canonknipser
Supporter
Supporter
Beiträge: 1966
Registriert: 10.09.2011 11:14
Kontaktdaten:

Re: [3.2] unterschiedliche PHP-Versionen ACP + MyDumper

Beitragvon canonknipser » 15.01.2019 20:04

In welches Verzeichnis hattest du die test.php gelegt?
Und ja, die Einstellung gehört in die .htaccess, die in dem Basisverzeichnis des jeweiligen Programms liegt, also in "root/Mydumper " in deinem Fall. Aber hast du denn auch die php 7 - kompatible Version? Vielleicht ist in deiner .htaccess für den MySQLDumper ja absichtlich 5.6 drin, weil deine Version nicht unter 7 lauffähig ist.

5.6 wird von allinkl noch eine Zeitlang unterstützt.
Grüße, canonknipser
"there are only 10 types of people: those, who understand binary and those, who don't"
just arrived ;) - Bilder
Kein Support via PN, nur im Board und (manchmal) im IRC

MaDay
Mitglied
Beiträge: 52
Registriert: 19.04.2016 19:54

Re: [3.2] unterschiedliche PHP-Versionen ACP + MyDumper

Beitragvon MaDay » 16.01.2019 10:47

Die test.php habe ich im Hauptverzeichnis gespeichert.

Ich habe die letzte Version von MyDumper, ich meine sie heißt MySQLDumper-Master. Dann sollte ich in der htaccess für MyDumper den AddHandler auf php 7 setzen?

Es ist ein Testforum für alg-ratgeber.de - dort aktualisiere ich die PHPBB und die installierten Erweiterungen. Läuft auch unter PHP 7 und von daher brauche diese Version auch im Testforum.

Nachtrag: htaccess MyDumper:

Code: Alles auswählen

<IfModule mod_rewrite.c>
RewriteEngine off
</IfModule>
AuthName "MySQLDumper"
AuthType Basic
AuthUserFile "/www/htdocs/xxxxx/dumper-master/.htpasswd"
require valid-user

Benutzeravatar
Joyce&Luna
Mitglied
Beiträge: 2235
Registriert: 24.11.2013 18:14
Wohnort: NRW
Kontaktdaten:

Re: [3.2] unterschiedliche PHP-Versionen ACP + MyDumper

Beitragvon Joyce&Luna » 16.01.2019 11:15

Der MySQL Dumper der in php5.6 gelaufen ist, funktioniert nicht mehr ab php7
Du solltest ihn erneuern http://phpbb3-support.square7.ch/viewto ... f=35&t=728
phpBB-Style-Design.de

Keine Antwort ist die eindeutigste Antwort, die man kriegen kann.
Bitte stellt die Fragen im Forum und nicht per PN. Danke!

MaDay
Mitglied
Beiträge: 52
Registriert: 19.04.2016 19:54

Re: [3.2] unterschiedliche PHP-Versionen ACP + MyDumper

Beitragvon MaDay » 16.01.2019 13:08

Danke für den Hinweis. Aber genau dort habe ich die MyDumper Version für PHP 7 runtergeladen.


Zurück zu „Smalltalk“